%if 0%{?fedora} > 12
%bcond_without python3
%else
%bcond_with python3
%endif

Name:           python-bcdoc
Version:        0.12.2
Release:        3%{?dist}
Summary:        Tools to help document botocore-based projects
Group:          System Environment/Libraries

License:        ASL 2.0
URL:            https://github.com/boto/bcdoc
Source0:        https://pypi.python.org/packages/source/b/bcdoc/bcdoc-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-six => 1.1.0
BuildRequires:  python-docutils => 0.10
%if %with python3
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-six => 1.1.0
BuildRequires:  python3-docutils => 0.10
%endif

Requires:       python-docutils => 0.10
Requires:       python-six => 1.1.0


%description
ReST document generation tools for botocore.

This package contains the library for Python 2.


%package -n python3-bcdoc
Summary:        Tools to help document botocore-based projects
Group:          System Environment/Libraries

Requires:       python3-docutils => 0.10
Requires:       python3-six => 1.1.0

%description -n python3-bcdoc
ReST document generation tools for botocore.

This package contains the library for Python 3.


%prep
%setup -q -n bcdoc-%{version}

%if %with python3
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif


%build
%if %with python3
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%{__python2} setup.py build


%install
%if %with python3
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif

%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

 
%check
%if %with python3
pushd %{py3dir}
%{__python3} setup.py test
popd
%endif

%{__python2} setup.py test


%files
%{python2_sitelib}/*
%doc README.rst
%doc LICENSE.txt


%if %with python3
%files -n python3-bcdoc
%{python3_sitelib}/*
%doc README.rst
%doc LICENSE.txt
%endif


%changelog
* Mon Jul 28 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.12.2-3
- Fix Summary and URL (Haïkel Guémar, #1123397)

* Fri Jul 25 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.12.2-2
- Add Python 3 support

* Fri Jul 25 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.12.2-1
- Initial packaging
